Skip to main content
GET
/
oauth-connections
/
{name}
/
token
JavaScript
import Reminix from '@reminix/sdk';

const client = new Reminix({
  apiKey: process.env['REMINIX_API_KEY'], // This is the default and can be omitted
});

const response = await client.oauthConnections.getToken('name');

console.log(response.access_token);
{
  "access_token": "ya29.a0AfH6SM...",
  "token_type": "Bearer",
  "expires_at": "2024-01-15T11:30:00Z",
  "connection": {
    "id": "conn_abc123",
    "providerId": "prov_xyz",
    "providerName": "Google",
    "providerSlug": "google",
    "slug": "google",
    "label": null,
    "tokenType": "Bearer",
    "scopes": "calendar.readonly email",
    "status": "active",
    "isDefault": true,
    "accountIdentifier": "user@example.com",
    "lastUsedAt": "2024-01-15T10:30:00Z",
    "createdAt": "2024-01-10T08:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

API Key or Personal Access Token (PAT). When using PAT, include X-Project header.

Path Parameters

name
string
required

Connection name (slug)

Response

Fresh access token with connection details

access_token
string
required

Fresh access token

token_type
string
required

Token type (e.g. Bearer)

expires_at
string | null
required

Token expiration timestamp (ISO 8601)

connection
object
required

The connection this token belongs to